MAPIProxy 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Functions
libmapiserver_oxcmsg.c File Reference

OXCMSG ROP Response size calculations. More...

`#include "libmapiserver.h"`

## Functions
_PUBLIC_ uint16_t | libmapiserver_RopCreateAttach_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopCreateMessage_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopGetAttachmentTable_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopModifyRecipients_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopOpenAttach_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopOpenEmbeddedMessage_size (struct EcDoRpc_MAPI_REPL *response)
uint16_t | libmapiserver_RopOpenMessage_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopReloadCachedInformation_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopRemoveAllRecipients_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopSaveChangesAttachment_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopSaveChangesMessage_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopSetMessageReadFlag_size (struct EcDoRpc_MAPI_REPL *response)

## Detailed Description

OXCMSG ROP Response size calculations.

## Function Documentation

_PUBLIC_ uint16_t libmapiserver_RopCreateAttach_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate CreateAttach (0x23) Rop size

Parameters

  response | pointer to the CreateAttach EcDoRpc_MAPI_REPL

Returns
  Size of CreateAttach response

Referenced by EcDoRpc_RopCreateAttach().

_PUBLIC_ uint16_t libmapiserver_RopCreateMessage_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate CreateMessage (0x6) Rop size

Parameters

  response | pointer to the CreateMessage EcDoRpc_MAPI_REPL structure

Returns
  Size of CreateMessage response

Referenced by EcDoRpc_RopCreateMessage().

_PUBLIC_ uint16_t libmapiserver_RopGetAttachmentTable_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate GetAttachmentTable (0x21) Rop size

Parameters

  response | pointer to the GetAttachmentTable EcDoRpc_MAPI_REPL

Returns
  Size of GetAttachmentTable response

Referenced by EcDoRpc_RopGetAttachmentTable().

_PUBLIC_ uint16_t libmapiserver_RopModifyRecipients_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate ModifyRecipients (0xe) Rop size

Parameters

  response | pointer to the ModifyRecipients EcDoRpc_MAPI_REPL structure

Returns
  Size of ModifyRecipients response

Referenced by EcDoRpc_RopModifyRecipients().

_PUBLIC_ uint16_t libmapiserver_RopOpenAttach_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate OpenAttach (0x22) Rop size

Parameters

  response | pointer to the OpenAttach EcDoRpc_MAPI_REPL

Returns
  Size of OpenAttach response

Referenced by EcDoRpc_RopOpenAttach().

_PUBLIC_ uint16_t libmapiserver_RopOpenEmbeddedMessage_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate OpenEmbeddedMessage (0x46) Rop size

Parameters

  response | pointer to the OpenEmbeddedMessage EcDoRpc_MAPI_REPL

Returns
  Size of OpenEmbeddedMessage response

References libmapiserver_RecipientRow_size(), and libmapiserver_TypedString_size().

Referenced by EcDoRpc_RopOpenEmbeddedMessage().

uint16_t libmapiserver_RopOpenMessage_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate OpenMessage (0x3) Rop size

Parameters

  response | pointer to the OpenMessage EcDoRpc_MAPI_REPL structure

Returns
  Size of OpenMessage response

References libmapiserver_RecipientRow_size(), and libmapiserver_TypedString_size().

Referenced by EcDoRpc_RopOpenMessage().

_PUBLIC_ uint16_t libmapiserver_RopReloadCachedInformation_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate ReloadCachedInformation (0x10) Rop size

Parameters

  response | pointer to the ReloadCachedInformation EcDoRpc_MAPI_REPL structure

Returns
  Size of ReloadCachedInformation response

References libmapiserver_RecipientRow_size(), and libmapiserver_TypedString_size().

Referenced by EcDoRpc_RopReloadCachedInformation().

_PUBLIC_ uint16_t libmapiserver_RopRemoveAllRecipients_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate RemoveAllRecipients (0xd) Rop size

Parameters

  response | pointer to the RemoveAllRecipients EcDoRpc_MAPI_REPL structure

Returns
  Size of RemoveAllRecipients response

Referenced by EcDoRpc_RopRemoveAllRecipients().

_PUBLIC_ uint16_t libmapiserver_RopSaveChangesAttachment_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate SaveChangesAttachment (0x25) Rop size

Parameters

  response | pointer to the SaveChangesAttachment EcDoRpc_MAPI_REPL

Returns
  Size of SaveChangesAttachment response

Referenced by EcDoRpc_RopSaveChangesAttachment().

_PUBLIC_ uint16_t libmapiserver_RopSaveChangesMessage_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate SaveChangesMessage (0xc) Rop size

Parameters

  response | pointer to the SaveChangesMessage EcDoRpc_MAPI_REPL structure

Returns
  Size of SaveChangesMessage response

Referenced by EcDoRpc_RopSaveChangesMessage().

_PUBLIC_ uint16_t libmapiserver_RopSetMessageReadFlag_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate SetMessageReadFlag (0x11) Rop size

Parameters

  response | pointer to the SetMessageReadFlag EcDoRpc_MAPI_REPL structure

Returns
  Size of SetMessageReadFlag response

Referenced by EcDoRpc_RopSetMessageReadFlag().

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/